curl --request POST \
--url https://api.hubapi.com/crm/lists/2026-09/all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additionalProperties": [
"<string>"
],
"processingTypes": [
"<string>"
],
"after": "<string>",
"count": 123,
"objectTypeId": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/lists/2026-09/all"
payload = {
"additionalProperties": ["<string>"],
"processingTypes": ["<string>"],
"after": "<string>",
"count": 123,
"objectTypeId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additionalProperties: ['<string>'],
processingTypes: ['<string>'],
after: '<string>',
count: 123,
objectTypeId: '<string>'
})
};
fetch('https://api.hubapi.com/crm/lists/2026-09/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/lists/2026-09/all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'additionalProperties' => [
'<string>'
],
'processingTypes' => [
'<string>'
],
'after' => '<string>',
'count' => 123,
'objectTypeId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/lists/2026-09/all"
payload := strings.NewReader("{\n \"additionalProperties\": [\n \"<string>\"\n ],\n \"processingTypes\": [\n \"<string>\"\n ],\n \"after\": \"<string>\",\n \"count\": 123,\n \"objectTypeId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm/lists/2026-09/all")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"additionalProperties\": [\n \"<string>\"\n ],\n \"processingTypes\": [\n \"<string>\"\n ],\n \"after\": \"<string>\",\n \"count\": 123,\n \"objectTypeId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/lists/2026-09/all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"additionalProperties\": [\n \"<string>\"\n ],\n \"processingTypes\": [\n \"<string>\"\n ],\n \"after\": \"<string>\",\n \"count\": 123,\n \"objectTypeId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"additionalProperties": {},
"listId": "<string>",
"listVersion": 123,
"name": "<string>",
"objectTypeId": "<string>",
"processingStatus": "<string>",
"processingType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"filtersUpdatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
},
"total": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}List all
Récupérer toutes les listes du système CRM. Ce point de terminaison vous permet de récupérer une liste complète de toutes les listes disponibles, ce qui peut être utile pour gérer et organiser efficacement vos données CRM.
curl --request POST \
--url https://api.hubapi.com/crm/lists/2026-09/all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additionalProperties": [
"<string>"
],
"processingTypes": [
"<string>"
],
"after": "<string>",
"count": 123,
"objectTypeId": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/lists/2026-09/all"
payload = {
"additionalProperties": ["<string>"],
"processingTypes": ["<string>"],
"after": "<string>",
"count": 123,
"objectTypeId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additionalProperties: ['<string>'],
processingTypes: ['<string>'],
after: '<string>',
count: 123,
objectTypeId: '<string>'
})
};
fetch('https://api.hubapi.com/crm/lists/2026-09/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/lists/2026-09/all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'additionalProperties' => [
'<string>'
],
'processingTypes' => [
'<string>'
],
'after' => '<string>',
'count' => 123,
'objectTypeId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/lists/2026-09/all"
payload := strings.NewReader("{\n \"additionalProperties\": [\n \"<string>\"\n ],\n \"processingTypes\": [\n \"<string>\"\n ],\n \"after\": \"<string>\",\n \"count\": 123,\n \"objectTypeId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm/lists/2026-09/all")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"additionalProperties\": [\n \"<string>\"\n ],\n \"processingTypes\": [\n \"<string>\"\n ],\n \"after\": \"<string>\",\n \"count\": 123,\n \"objectTypeId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/lists/2026-09/all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"additionalProperties\": [\n \"<string>\"\n ],\n \"processingTypes\": [\n \"<string>\"\n ],\n \"after\": \"<string>\",\n \"count\": 123,\n \"objectTypeId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"additionalProperties": {},
"listId": "<string>",
"listVersion": 123,
"name": "<string>",
"objectTypeId": "<string>",
"processingStatus": "<string>",
"processingType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"filtersUpdatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
},
"total": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Corps
Un tableau de chaînes de caractères représentant des propriétés supplémentaires à inclure dans la récupération de la liste.
Un tableau de chaînes spécifiant les types de traitement à appliquer à la demande.
Une chaîne utilisée comme jeton de curseur de pagination pour récupérer l'ensemble de résultats suivant.
Un entier spécifiant le nombre de résultats à récupérer.
Chaîne représentant l'identifiant unique du type d'objet des listes.
Réponse
successful operation
Un tableau d'objets PublicObjectListSearchResult représentant les résultats de recherche individuels.
Show child attributes
Show child attributes
Représente les informations de pagination pour naviguer dans une liste de résultats de l'API. Il fournit des détails sur la manière d'accéder à l'ensemble de résultats précédent ou suivant.
Show child attributes
Show child attributes
Un entier représentant le nombre total de résultats disponibles dans la recherche, formaté comme un entier 64 bits.